import globals
import game
import light
import tilemap
import hud
import pygame

need_refresh = False

def init():
	"Initiate the display"
	global screen
	pygame.init()
	screen = pygame.display.set_mode(globals.screen_size)
	pygame.display.set_caption("Ludum Dare")

def refresh():
	"Cue up a refresh for the screen."
	global need_refresh
	need_refresh = True


def render():
	"Render the screen (if it needs updating)"
	global need_refresh
	
	if need_refresh:
		tilemap.render(screen)
		hud.render(screen)
		
		need_refresh = False
