import pygame

image_cache = {}

def load(filename):
	"Load an image from a file. (With caching)"
	try:
		return image_cache[filename]
	except KeyError:
		image = pygame.image.load(filename)
		image_cache[filename] = image
		return image
