import random
import error

def dice(number, sides):
	"D&D dice function. e.g. 2d6 = dice(2, 6)."
	total = 0
	for i in range(number):
		total += int(random.random() * sides) + 1
	return total

def modifier(stat):
	"D&D Modifier."
	return (stat - 10) / 2

def ana(word):
	"Is is 'a <word>' or 'an <word>'?"
	if word.lower()[0] in ['a', 'e', 'i', 'o', 'u']:
		return 'an'
	else:
		return 'a'

class LimitedList(list):
	"Limited list class (incomplete)."
	def __init__(self, limit, l = []):
		self.limit = limit
		if len(l) > limit:
			raise ContainerFull
		
	def append(self, x):
		if (len(self) + 1) > self.limit:
			raise ContainerFull
		list.append(self, x)

	def extend(self, l):
		if (len(self) + len(l)) > self.limit:
			raise ContainerFull
		list.extend(self, l)

	def insert(self, i, x):
		if (len(self) + 1) > self.limit:
			raise ContainerFull
		list.insert(self, i,x)
